Edit Image
Creates an edited or extended image given an original image and a prompt.
In: header
Image to edit. Must be a valid square PNG file smaller than 4 MB. If no mask is provided, the image must contain transparency, which will be used as the mask.
binaryAdditional image whose fully transparent areas (for example, alpha zero) indicate where image should be edited. Must be a valid PNG under 4 MB with the same dimensions as the original image.
binaryText description of the desired image. Maximum length: 1,000 characters.
Number of images to generate. Must be between 1 and 10.
Size of generated images. Must be 256x256, 512x512, or 1024x1024.
Format of generated images. Must be url or b64_json.
A unique identifier for your end user that helps OpenAI monitor and detect abuse. Learn more.
Response Body
application/json
curl -X POST "https://api.beeaicloud.com/v1/images/edits/" \ -F image="cmMtdXBsb2FkLTE2ODc4MzMzNDc3NTEtMjA=/31225951_59371037e9_small.png" \ -F prompt="A cute baby sea otter wearing a beret."{}How is this guide?